Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jetty.webapp
Class Ordering.AbsoluteOrdering

    java.lang.Object
      org.eclipse.jetty.webapp.Ordering.AbsoluteOrdering

All Implemented Interfaces:
  Ordering

Enclosing interface:
  Ordering

    public static class Ordering.AbsoluteOrdering

extends java.lang.Object
implements Ordering

AbsoluteOrdering An element in web.xml

Nested Class Summary

Nested classes/interfaces inherited from interface org.eclipse.jetty.webapp.Ordering
`Ordering.AbsoluteOrdering, Ordering.RelativeOrdering`

Field Summary
`protected boolean` | `_hasOther`
`protected MetaData` | `_metaData`
`protected java.util.List<java.lang.String>` | `_order`
`static java.lang.String` | `OTHER`

Constructor Summary
`Ordering.AbsoluteOrdering(MetaData metaData)`

Method Summary
`void` | `add(java.lang.String name)`
`void` | `addOthers()`
`boolean` | `hasOther()`
`boolean` | `isAbsolute()`
`java.util.List<Resource>` | `order(java.util.List<Resource> jars)` Order the list of jars in WEB-INF/lib according to the ordering declarations in the descriptors

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OTHER

    public static final java.lang.String OTHER

See Also:
  Constant Field Values

### _order

    protected java.util.List<java.lang.String> _order

### _hasOther

    protected boolean _hasOther

### _metaData

    protected MetaData _metaData

Constructor Detail

### Ordering.AbsoluteOrdering

    public Ordering.AbsoluteOrdering(MetaData metaData)

Method Detail

### order

    public java.util.List<Resource> order(java.util.List<Resource> jars)

  Order the list of jars in WEB-INF/lib according to the ordering declarations in the descriptors

  Specified by:
    `order` in interface `Ordering`
  See Also:
    `Ordering.order(java.util.List)`

### isAbsolute

    public boolean isAbsolute()

  Specified by:
    `isAbsolute` in interface `Ordering`

### add

    public void add(java.lang.String name)

### addOthers

    public void addOthers()

### hasOther

    public boolean hasOther()

  Specified by:
    `hasOther` in interface `Ordering`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.